if (CSS.registerProperty) {
  /* Neutral Inverse 1 - if used as a background, please use Neutral Inverse Contrast 1-4 to meet accessibility guidelines. */
  CSS.registerProperty({
    name: "--sds-g-color-neutral-inverse-1",
    syntax: "<color>",
    inherits: true,
    initialValue: "#181818",
  });
  /* Brand Inverse 1 - if used as a background, please use Brand Inverse Contrast 1-4 to meet accessibility guidelines. */
  CSS.registerProperty({
    name: "--sds-g-color-brand-inverse-1",
    syntax: "<color>",
    inherits: true,
    initialValue: "#001639",
  });
  /* Neutral Inverse 2 - if used as a background, please use Neutral Inverse Contrast 2-4 to meet accessibility guidelines. */
  CSS.registerProperty({
    name: "--sds-g-color-neutral-inverse-2",
    syntax: "<color>",
    inherits: true,
    initialValue: "#2e2e30",
  });
  /* Neutral Base 1 - if used as a background, please use Neutral Base Contrast 1-4 to meet accessibility guidelines. */
  CSS.registerProperty({
    name: "--sds-g-color-neutral-base-1",
    syntax: "<color>",
    inherits: true,
    initialValue: "#ffffff",
  });
  /* Brand Base 1 - if used as a background, please use Brand Base Contrast 1-4 to meet accessibility guidelines. */
  CSS.registerProperty({
    name: "--sds-g-color-brand-base-1",
    syntax: "<color>",
    inherits: true,
    initialValue: "#ffffff",
  });
  /* Brand Inverse 2 - if used as a background, please use Brand Inverse Contrast 2-4 to meet accessibility guidelines. */
  CSS.registerProperty({
    name: "--sds-g-color-brand-inverse-2",
    syntax: "<color>",
    inherits: true,
    initialValue: "#032d60",
  });
  /* Neutral Inverse 3 - if used as a background, please use Neutral Inverse Contrast 3-4 to meet accessibility guidelines. */
  CSS.registerProperty({
    name: "--sds-g-color-neutral-inverse-3",
    syntax: "<color>",
    inherits: true,
    initialValue: "#444447",
  });
  /* Neutral Base 2 - if used as a background, please use Neutral Base Contrast 2-4 to meet accessibility guidelines. */
  CSS.registerProperty({
    name: "--sds-g-color-neutral-base-2",
    syntax: "<color>",
    inherits: true,
    initialValue: "#f3f3f3",
  });
  /* Brand Base 2 - if used as a background, please use Brand Base Contrast 2-4 to meet accessibility guidelines. */
  CSS.registerProperty({
    name: "--sds-g-color-brand-base-2",
    syntax: "<color>",
    inherits: true,
    initialValue: "#eef4ff",
  });
  /* Brand Inverse 3 - if used as a background, please use Brand Inverse Contrast 3-4 to meet accessibility guidelines. */
  CSS.registerProperty({
    name: "--sds-g-color-brand-inverse-3",
    syntax: "<color>",
    inherits: true,
    initialValue: "#014486",
  });
  /* Neutral Inverse 4 - if used as a background, please use Neutral Inverse Contrast 4 to meet accessibility guidelines. */
  CSS.registerProperty({
    name: "--sds-g-color-neutral-inverse-4",
    syntax: "<color>",
    inherits: true,
    initialValue: "#5a5c61",
  });
  /* Neutral Base 3 - if used as a background, please use Neutral Base Contrast 3-4 to meet accessibility guidelines. */
  CSS.registerProperty({
    name: "--sds-g-color-neutral-base-3",
    syntax: "<color>",
    inherits: true,
    initialValue: "#e5e5e5",
  });
  /* Brand Base 3 - if used as a background, please use Brand Base Contrast 3-4 to meet accessibility guidelines. */
  CSS.registerProperty({
    name: "--sds-g-color-brand-base-3",
    syntax: "<color>",
    inherits: true,
    initialValue: "#d8e6fe",
  });
  /* Brand Inverse 4 - if used as a background, please use Brand Inverse Contrast 4 to meet accessibility guidelines. */
  CSS.registerProperty({
    name: "--sds-g-color-brand-inverse-4",
    syntax: "<color>",
    inherits: true,
    initialValue: "#0b5cab",
  });
  /* Neutral Base 4 - if used as a background, please use Neutral Base Contrast 4 to meet accessibility guidelines. */
  CSS.registerProperty({
    name: "--sds-g-color-neutral-base-4",
    syntax: "<color>",
    inherits: true,
    initialValue: "#c9c9cb",
  });
  /* Brand Base 4 - if used as a background, please use Brand Base Contrast 4 to meet accessibility guidelines. */
  CSS.registerProperty({
    name: "--sds-g-color-brand-base-4",
    syntax: "<color>",
    inherits: true,
    initialValue: "#aacbff",
  });
  /* Neutral Base Contrast 1 - if used as a background, please use Neutral Base 1-4 to meet accessibility guidelines. */
  CSS.registerProperty({
    name: "--sds-g-color-neutral-base-contrast-1",
    syntax: "<color>",
    inherits: true,
    initialValue: "#929398",
  });
  /* Brand Base Contrast 1 - if used as a background, please use Brand Base 1-4 to meet accessibility guidelines. */
  CSS.registerProperty({
    name: "--sds-g-color-brand-base-contrast-1",
    syntax: "<color>",
    inherits: true,
    initialValue: "#1b96ff",
  });
  /* Neutral Base Contrast 2 - if used as a background, please use Neutral Base 2-4 to meet accessibility guidelines. */
  CSS.registerProperty({
    name: "--sds-g-color-neutral-base-contrast-2",
    syntax: "<color>",
    inherits: true,
    initialValue: "#737479",
  });
  /* Neutral Inverse Contrast 1 - if used as a background, please use Neutral Inverse Base 1-4 to meet accessibility guidelines. */
  CSS.registerProperty({
    name: "--sds-g-color-neutral-inverse-contrast-1",
    syntax: "<color>",
    inherits: true,
    initialValue: "#737479",
  });
  /* Brand Inverse Contrast 1 - if used as a background, please use Brand Inverse Base 1-4 to meet accessibility guidelines. */
  CSS.registerProperty({
    name: "--sds-g-color-brand-inverse-contrast-1",
    syntax: "<color>",
    inherits: true,
    initialValue: "#0176d3",
  });
  /* Brand Base Contrast 2 - if used as a background, please use Brand Base 2-4 to meet accessibility guidelines. */
  CSS.registerProperty({
    name: "--sds-g-color-brand-base-contrast-2",
    syntax: "<color>",
    inherits: true,
    initialValue: "#0176d3",
  });
  /* Neutral Base Contrast 3 - if used as a background, please use Neutral Base 3-4 to meet accessibility guidelines. */
  CSS.registerProperty({
    name: "--sds-g-color-neutral-base-contrast-3",
    syntax: "<color>",
    inherits: true,
    initialValue: "#5a5c61",
  });
  /* Neutral Inverse Contrast 2 - if used as a background, please use Neutral Inverse Base 2-4 to meet accessibility guidelines. */
  CSS.registerProperty({
    name: "--sds-g-color-neutral-inverse-contrast-2",
    syntax: "<color>",
    inherits: true,
    initialValue: "#929398",
  });
  /* Brand Inverse Contrast 2 - if used as a background, please use Brand Inverse Base 2-4 to meet accessibility guidelines. */
  CSS.registerProperty({
    name: "--sds-g-color-brand-inverse-contrast-2",
    syntax: "<color>",
    inherits: true,
    initialValue: "#1b96ff",
  });
  /* Brand Base Contrast 3 - if used as a background, please use Brand Base 3-4 to meet accessibility guidelines. */
  CSS.registerProperty({
    name: "--sds-g-color-brand-base-contrast-3",
    syntax: "<color>",
    inherits: true,
    initialValue: "#0b5cab",
  });
  /* Neutral Base Contrast 4 - if used as a background, please use Neutral Base 4 to meet accessibility guidelines. */
  CSS.registerProperty({
    name: "--sds-g-color-neutral-base-contrast-4",
    syntax: "<color>",
    inherits: true,
    initialValue: "#181818",
  });
  /* Neutral Inverse Contrast 3 - if used as a background, please use Neutral Inverse Base 3-4 to meet accessibility guidelines. */
  CSS.registerProperty({
    name: "--sds-g-color-neutral-inverse-contrast-3",
    syntax: "<color>",
    inherits: true,
    initialValue: "#adaeb1",
  });
  /* Brand Inverse Contrast 3 - if used as a background, please use Brand Inverse Base 3-4 to meet accessibility guidelines. */
  CSS.registerProperty({
    name: "--sds-g-color-brand-inverse-contrast-3",
    syntax: "<color>",
    inherits: true,
    initialValue: "#78b0fd",
  });
  /* Brand Base Contrast 4 - if used as a background, please use Brand Base 4 to meet accessibility guidelines. */
  CSS.registerProperty({
    name: "--sds-g-color-brand-base-contrast-4",
    syntax: "<color>",
    inherits: true,
    initialValue: "#001639",
  });
  /* Neutral Inverse Contrast 4 - if used as a background, please use Neutral Inverse Base 4 to meet accessibility guidelines. */
  CSS.registerProperty({
    name: "--sds-g-color-neutral-inverse-contrast-4",
    syntax: "<color>",
    inherits: true,
    initialValue: "#ffffff",
  });
  /* Brand Inverse Contrast 4 - if used as a background, please use Brand Inverse Base 4 to meet accessibility guidelines. */
  CSS.registerProperty({
    name: "--sds-g-color-brand-inverse-contrast-4",
    syntax: "<color>",
    inherits: true,
    initialValue: "#ffffff",
  });
  /* Orange 30 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-orange-30",
    syntax: "<color>",
    inherits: true,
    initialValue: "#5f3e02",
  });
  /* Green 60 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-green-60",
    syntax: "<color>",
    inherits: true,
    initialValue: "#3ba755",
  });
  /* Hot Orange 30 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-hot-orange-30",
    syntax: "<color>",
    inherits: true,
    initialValue: "#7e2600",
  });
  /* Yellow 15 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-yellow-15",
    syntax: "<color>",
    inherits: true,
    initialValue: "#2e2204",
  });
  /* Orange 20 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-orange-20",
    syntax: "<color>",
    inherits: true,
    initialValue: "#3e2b02",
  });
  /* Green 50 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-green-50",
    syntax: "<color>",
    inherits: true,
    initialValue: "#2e844a",
  });
  /* Hot Orange 20 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-hot-orange-20",
    syntax: "<color>",
    inherits: true,
    initialValue: "#541d01",
  });
  /* Orange 10 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-orange-10",
    syntax: "<color>",
    inherits: true,
    initialValue: "#201600",
  });
  /* Green 40 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-green-40",
    syntax: "<color>",
    inherits: true,
    initialValue: "#22683e",
  });
  /* Hot Orange 10 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-hot-orange-10",
    syntax: "<color>",
    inherits: true,
    initialValue: "#281202",
  });
  /* Orange 65 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-orange-65",
    syntax: "<color>",
    inherits: true,
    initialValue: "#f38303",
  });
  /* Green 95 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-green-95",
    syntax: "<color>",
    inherits: true,
    initialValue: "#ebf7e6",
  });
  /* Hot Orange 65 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-hot-orange-65",
    syntax: "<color>",
    inherits: true,
    initialValue: "#ff784f",
  });
  /* Green 30 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-green-30",
    syntax: "<color>",
    inherits: true,
    initialValue: "#194e31",
  });
  /* Cloud Blue 15 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-cloud-blue-15",
    syntax: "<color>",
    inherits: true,
    initialValue: "#0a2636",
  });
  /* Indigo 15 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-indigo-15",
    syntax: "<color>",
    inherits: true,
    initialValue: "#1f0974",
  });
  /* Green 20 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-green-20",
    syntax: "<color>",
    inherits: true,
    initialValue: "#0e3522",
  });
  /* Green 10 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-green-10",
    syntax: "<color>",
    inherits: true,
    initialValue: "#071b12",
  });
  /* Green 65 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-green-65",
    syntax: "<color>",
    inherits: true,
    initialValue: "#41b658",
  });
  /* Orange 15 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-orange-15",
    syntax: "<color>",
    inherits: true,
    initialValue: "#371e03",
  });
  /* Hot Orange 15 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-hot-orange-15",
    syntax: "<color>",
    inherits: true,
    initialValue: "#421604",
  });
  /* Violet 90 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-violet-90",
    syntax: "<color>",
    inherits: true,
    initialValue: "#f2defe",
  });
  /* Green 15 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-green-15",
    syntax: "<color>",
    inherits: true,
    initialValue: "#0c2912",
  });
  /* Violet 80 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-violet-80",
    syntax: "<color>",
    inherits: true,
    initialValue: "#e5b9fe",
  });
  /* Violet 70 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-violet-70",
    syntax: "<color>",
    inherits: true,
    initialValue: "#d892fe",
  });
  /* Teal 90 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-teal-90",
    syntax: "<color>",
    inherits: true,
    initialValue: "#acf3e4",
  });
  /* Purple 90 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-purple-90",
    syntax: "<color>",
    inherits: true,
    initialValue: "#ece1f9",
  });
  /* Violet 60 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-violet-60",
    syntax: "<color>",
    inherits: true,
    initialValue: "#cb65ff",
  });
  /* Teal 80 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-teal-80",
    syntax: "<color>",
    inherits: true,
    initialValue: "#04e1cb",
  });
  /* Purple 80 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-purple-80",
    syntax: "<color>",
    inherits: true,
    initialValue: "#d78ff5",
  });
  /* Violet 50 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-violet-50",
    syntax: "<color>",
    inherits: true,
    initialValue: "#ba01ff",
  });
  /* Teal 70 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-teal-70",
    syntax: "<color>",
    inherits: true,
    initialValue: "#01c3b3",
  });
  /* Blue 90 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-blue-90",
    syntax: "<color>",
    inherits: true,
    initialValue: "#d8e6fe",
  });
  /* Purple 70 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-purple-70",
    syntax: "<color>",
    inherits: true,
    initialValue: "#c29ef1",
  });
  /* Violet 40 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-violet-40",
    syntax: "<color>",
    inherits: true,
    initialValue: "#9602c7",
  });
  /* Violet 95 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-violet-95",
    syntax: "<color>",
    inherits: true,
    initialValue: "#f9f0ff",
  });
  /* Teal 60 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-teal-60",
    syntax: "<color>",
    inherits: true,
    initialValue: "#06a59a",
  });
  /* Red 90 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-red-90",
    syntax: "<color>",
    inherits: true,
    initialValue: "#feded8",
  });
  /* Blue 80 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-blue-80",
    syntax: "<color>",
    inherits: true,
    initialValue: "#aacbff",
  });
  /* Purple 60 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-purple-60",
    syntax: "<color>",
    inherits: true,
    initialValue: "#ad7bee",
  });
  /* Violet 30 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-violet-30",
    syntax: "<color>",
    inherits: true,
    initialValue: "#730394",
  });
  /* Red 80 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-red-80",
    syntax: "<color>",
    inherits: true,
    initialValue: "#feb8ab",
  });
  /* Blue 70 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-blue-70",
    syntax: "<color>",
    inherits: true,
    initialValue: "#78b0fd",
  });
  /* Purple 50 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-purple-50",
    syntax: "<color>",
    inherits: true,
    initialValue: "#9050e9",
  });
  /* Violet 20 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-violet-20",
    syntax: "<color>",
    inherits: true,
    initialValue: "#520066",
  });
  /* Teal 50 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-teal-50",
    syntax: "<color>",
    inherits: true,
    initialValue: "#0b827c",
  });
  /* Teal 95 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-teal-95",
    syntax: "<color>",
    inherits: true,
    initialValue: "#def9f3",
  });
  /* Red 70 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-red-70",
    syntax: "<color>",
    inherits: true,
    initialValue: "#fe8f7d",
  });
  /* Blue 60 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-blue-60",
    syntax: "<color>",
    inherits: true,
    initialValue: "#1b96ff",
  });
  /* Purple 40 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-purple-40",
    syntax: "<color>",
    inherits: true,
    initialValue: "#7526e3",
  });
  /* Violet 10 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-violet-10",
    syntax: "<color>",
    inherits: true,
    initialValue: "#2e0039",
  });
  /* Purple 95 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-purple-95",
    syntax: "<color>",
    inherits: true,
    initialValue: "#f6f2fb",
  });
  /* Violet 65 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-violet-65",
    syntax: "<color>",
    inherits: true,
    initialValue: "#d17dfe",
  });
  /* Teal 40 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-teal-40",
    syntax: "<color>",
    inherits: true,
    initialValue: "#056764",
  });
  /* Red 60 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-red-60",
    syntax: "<color>",
    inherits: true,
    initialValue: "#fe5c4c",
  });
  /* Blue 50 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-blue-50",
    syntax: "<color>",
    inherits: true,
    initialValue: "#0176d3",
  });
  /* Purple 30 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-purple-30",
    syntax: "<color>",
    inherits: true,
    initialValue: "#5a1ba9",
  });
  /* Pink 90 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-pink-90",
    syntax: "<color>",
    inherits: true,
    initialValue: "#fddde3",
  });
  /* Teal 30 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-teal-30",
    syntax: "<color>",
    inherits: true,
    initialValue: "#024d4c",
  });
  /* Red 50 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-red-50",
    syntax: "<color>",
    inherits: true,
    initialValue: "#ea001e",
  });
  /* Blue 40 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-blue-40",
    syntax: "<color>",
    inherits: true,
    initialValue: "#0b5cab",
  });
  /* Purple 20 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-purple-20",
    syntax: "<color>",
    inherits: true,
    initialValue: "#401075",
  });
  /* Blue 95 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-blue-95",
    syntax: "<color>",
    inherits: true,
    initialValue: "#eef4ff",
  });
  /* Pink 80 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-pink-80",
    syntax: "<color>",
    inherits: true,
    initialValue: "#fdb6c5",
  });
  /* Teal 20 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-teal-20",
    syntax: "<color>",
    inherits: true,
    initialValue: "#023434",
  });
  /* Teal 65 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-teal-65",
    syntax: "<color>",
    inherits: true,
    initialValue: "#03b4a7",
  });
  /* Red 40 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-red-40",
    syntax: "<color>",
    inherits: true,
    initialValue: "#ba0517",
  });
  /* Blue 30 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-blue-30",
    syntax: "<color>",
    inherits: true,
    initialValue: "#014486",
  });
  /* Purple 10 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-purple-10",
    syntax: "<color>",
    inherits: true,
    initialValue: "#240643",
  });
  /* Red 95 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-red-95",
    syntax: "<color>",
    inherits: true,
    initialValue: "#fef1ee",
  });
  /* Purple 65 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-purple-65",
    syntax: "<color>",
    inherits: true,
    initialValue: "#b78def",
  });
  /* Yellow 90 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-yellow-90",
    syntax: "<color>",
    inherits: true,
    initialValue: "#f9e3b6",
  });
  /* Pink 70 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-pink-70",
    syntax: "<color>",
    inherits: true,
    initialValue: "#fe8aa7",
  });
  /* Teal 10 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-teal-10",
    syntax: "<color>",
    inherits: true,
    initialValue: "#071b12",
  });
  /* Red 30 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-red-30",
    syntax: "<color>",
    inherits: true,
    initialValue: "#8e030f",
  });
  /* Blue 20 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-blue-20",
    syntax: "<color>",
    inherits: true,
    initialValue: "#032d60",
  });
  /* Yellow 80 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-yellow-80",
    syntax: "<color>",
    inherits: true,
    initialValue: "#fcc003",
  });
  /* Pink 60 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-pink-60",
    syntax: "<color>",
    inherits: true,
    initialValue: "#ff538a",
  });
  /* Red 20 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-red-20",
    syntax: "<color>",
    inherits: true,
    initialValue: "#640103",
  });
  /* Blue 10 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-blue-10",
    syntax: "<color>",
    inherits: true,
    initialValue: "#001639",
  });
  /* Blue 65 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-blue-65",
    syntax: "<color>",
    inherits: true,
    initialValue: "#57a3fd",
  });
  /* Violet 15 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-violet-15",
    syntax: "<color>",
    inherits: true,
    initialValue: "#3d0157",
  });
  /* Yellow 70 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-yellow-70",
    syntax: "<color>",
    inherits: true,
    initialValue: "#e4a201",
  });
  /* Pink 50 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-pink-50",
    syntax: "<color>",
    inherits: true,
    initialValue: "#e3066a",
  });
  /* Cloud Blue 90 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-cloud-blue-90",
    syntax: "<color>",
    inherits: true,
    initialValue: "#cfe9fe",
  });
  /* Indigo 90 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-indigo-90",
    syntax: "<color>",
    inherits: true,
    initialValue: "#e0e5f8",
  });
  /* Red 10 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-red-10",
    syntax: "<color>",
    inherits: true,
    initialValue: "#300c01",
  });
  /* Red 65 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-red-65",
    syntax: "<color>",
    inherits: true,
    initialValue: "#fe7765",
  });
  /* Yellow 60 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-yellow-60",
    syntax: "<color>",
    inherits: true,
    initialValue: "#ca8501",
  });
  /* Pink 40 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-pink-40",
    syntax: "<color>",
    inherits: true,
    initialValue: "#b60554",
  });
  /* Cloud Blue 80 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-cloud-blue-80",
    syntax: "<color>",
    inherits: true,
    initialValue: "#90d0fe",
  });
  /* Pink 95 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-pink-95",
    syntax: "<color>",
    inherits: true,
    initialValue: "#fef0f3",
  });
  /* Indigo 80 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-indigo-80",
    syntax: "<color>",
    inherits: true,
    initialValue: "#bec7f6",
  });
  /* Yellow 50 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-yellow-50",
    syntax: "<color>",
    inherits: true,
    initialValue: "#a86403",
  });
  /* Pink 30 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-pink-30",
    syntax: "<color>",
    inherits: true,
    initialValue: "#8a033e",
  });
  /* Cloud Blue 70 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-cloud-blue-70",
    syntax: "<color>",
    inherits: true,
    initialValue: "#1ab9ff",
  });
  /* Indigo 70 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-indigo-70",
    syntax: "<color>",
    inherits: true,
    initialValue: "#9ea9f1",
  });
  /* Purple 15 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-purple-15",
    syntax: "<color>",
    inherits: true,
    initialValue: "#300b60",
  });
  /* Yellow 40 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-yellow-40",
    syntax: "<color>",
    inherits: true,
    initialValue: "#8c4b02",
  });
  /* Pink 20 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-pink-20",
    syntax: "<color>",
    inherits: true,
    initialValue: "#61022a",
  });
  /* Yellow 95 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-yellow-95",
    syntax: "<color>",
    inherits: true,
    initialValue: "#fbf3e0",
  });
  /* Cloud Blue 60 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-cloud-blue-60",
    syntax: "<color>",
    inherits: true,
    initialValue: "#0d9dda",
  });
  /* Indigo 60 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-indigo-60",
    syntax: "<color>",
    inherits: true,
    initialValue: "#7f8ced",
  });
  /* Teal 15 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-teal-15",
    syntax: "<color>",
    inherits: true,
    initialValue: "#072825",
  });
  /* Yellow 30 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-yellow-30",
    syntax: "<color>",
    inherits: true,
    initialValue: "#6f3400",
  });
  /* Pink 10 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-pink-10",
    syntax: "<color>",
    inherits: true,
    initialValue: "#370114",
  });
  /* Orange 90 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-orange-90",
    syntax: "<color>",
    inherits: true,
    initialValue: "#fedfd0",
  });
  /* Cloud Blue 50 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-cloud-blue-50",
    syntax: "<color>",
    inherits: true,
    initialValue: "#107cad",
  });
  /* Pink 65 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-pink-65",
    syntax: "<color>",
    inherits: true,
    initialValue: "#fe7298",
  });
  /* Indigo 50 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-indigo-50",
    syntax: "<color>",
    inherits: true,
    initialValue: "#5867e8",
  });
  /* Hot Orange 90 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-hot-orange-90",
    syntax: "<color>",
    inherits: true,
    initialValue: "#ffded5",
  });
  /* Blue 15 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-blue-15",
    syntax: "<color>",
    inherits: true,
    initialValue: "#03234d",
  });
  /* Yellow 20 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-yellow-20",
    syntax: "<color>",
    inherits: true,
    initialValue: "#4f2100",
  });
  /* Orange 80 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-orange-80",
    syntax: "<color>",
    inherits: true,
    initialValue: "#ffba90",
  });
  /* Cloud Blue 40 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-cloud-blue-40",
    syntax: "<color>",
    inherits: true,
    initialValue: "#05628a",
  });
  /* Indigo 40 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-indigo-40",
    syntax: "<color>",
    inherits: true,
    initialValue: "#3a49da",
  });
  /* Hot Orange 80 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-hot-orange-80",
    syntax: "<color>",
    inherits: true,
    initialValue: "#feb9a5",
  });
  /* Cloud Blue 95 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-cloud-blue-95",
    syntax: "<color>",
    inherits: true,
    initialValue: "#eaf5fe",
  });
  /* Indigo 95 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-indigo-95",
    syntax: "<color>",
    inherits: true,
    initialValue: "#f1f3fb",
  });
  /* Red 15 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-red-15",
    syntax: "<color>",
    inherits: true,
    initialValue: "#4a0c04",
  });
  /* Yellow 10 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-yellow-10",
    syntax: "<color>",
    inherits: true,
    initialValue: "#281202",
  });
  /* Yellow 65 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-yellow-65",
    syntax: "<color>",
    inherits: true,
    initialValue: "#d79304",
  });
  /* Orange 70 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-orange-70",
    syntax: "<color>",
    inherits: true,
    initialValue: "#fe9339",
  });
  /* Cloud Blue 30 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-cloud-blue-30",
    syntax: "<color>",
    inherits: true,
    initialValue: "#084968",
  });
  /* Indigo 30 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-indigo-30",
    syntax: "<color>",
    inherits: true,
    initialValue: "#2f2cb7",
  });
  /* Hot Orange 70 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-hot-orange-70",
    syntax: "<color>",
    inherits: true,
    initialValue: "#ff906e",
  });
  /* Orange 60 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-orange-60",
    syntax: "<color>",
    inherits: true,
    initialValue: "#dd7a01",
  });
  /* Cloud Blue 20 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-cloud-blue-20",
    syntax: "<color>",
    inherits: true,
    initialValue: "#023248",
  });
  /* Green 90 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-green-90",
    syntax: "<color>",
    inherits: true,
    initialValue: "#cdefc4",
  });
  /* Indigo 20 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-indigo-20",
    syntax: "<color>",
    inherits: true,
    initialValue: "#260f8f",
  });
  /* Hot Orange 60 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-hot-orange-60",
    syntax: "<color>",
    inherits: true,
    initialValue: "#ff5d2d",
  });
  /* Orange 50 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-orange-50",
    syntax: "<color>",
    inherits: true,
    initialValue: "#a96404",
  });
  /* Cloud Blue 10 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-cloud-blue-10",
    syntax: "<color>",
    inherits: true,
    initialValue: "#001a28",
  });
  /* Green 80 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-green-80",
    syntax: "<color>",
    inherits: true,
    initialValue: "#91db8b",
  });
  /* Indigo 10 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-indigo-10",
    syntax: "<color>",
    inherits: true,
    initialValue: "#200647",
  });
  /* Hot Orange 50 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-hot-orange-50",
    syntax: "<color>",
    inherits: true,
    initialValue: "#d83a00",
  });
  /* Cloud Blue 65 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-cloud-blue-65",
    syntax: "<color>",
    inherits: true,
    initialValue: "#08abed",
  });
  /* Indigo 65 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-indigo-65",
    syntax: "<color>",
    inherits: true,
    initialValue: "#8e9bef",
  });
  /* Orange 40 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-orange-40",
    syntax: "<color>",
    inherits: true,
    initialValue: "#825101",
  });
  /* Pink 15 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-pink-15",
    syntax: "<color>",
    inherits: true,
    initialValue: "#4b0620",
  });
  /* Green 70 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-green-70",
    syntax: "<color>",
    inherits: true,
    initialValue: "#45c65a",
  });
  /* Hot Orange 40 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-hot-orange-40",
    syntax: "<color>",
    inherits: true,
    initialValue: "#aa3001",
  });
  /* Orange 95 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-orange-95",
    syntax: "<color>",
    inherits: true,
    initialValue: "#fff1ea",
  });
  /* Hot Orange 95 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-hot-orange-95",
    syntax: "<color>",
    inherits: true,
    initialValue: "#fef1ed",
  });
  /* Spacing size 1. */
  CSS.registerProperty({
    name: "--sds-g-spacing-1",
    syntax: "<length>",
    inherits: false,
    initialValue: "0.25rem",
  });
  /* Spacing size 2. */
  CSS.registerProperty({
    name: "--sds-g-spacing-2",
    syntax: "<length>",
    inherits: false,
    initialValue: "0.5rem",
  });
  /* Spacing size 3. */
  CSS.registerProperty({
    name: "--sds-g-spacing-3",
    syntax: "<length>",
    inherits: false,
    initialValue: "0.75rem",
  });
  /* Spacing size 10. */
  CSS.registerProperty({
    name: "--sds-g-spacing-10",
    syntax: "<length>",
    inherits: false,
    initialValue: "4rem",
  });
  /* Spacing size 4. */
  CSS.registerProperty({
    name: "--sds-g-spacing-4",
    syntax: "<length>",
    inherits: false,
    initialValue: "1rem",
  });
  /* Spacing size 5. */
  CSS.registerProperty({
    name: "--sds-g-spacing-5",
    syntax: "<length>",
    inherits: false,
    initialValue: "1.5rem",
  });
  /* Spacing size 6. */
  CSS.registerProperty({
    name: "--sds-g-spacing-6",
    syntax: "<length>",
    inherits: false,
    initialValue: "2rem",
  });
  /* Spacing size 7. */
  CSS.registerProperty({
    name: "--sds-g-spacing-7",
    syntax: "<length>",
    inherits: false,
    initialValue: "2.5rem",
  });
  /* Spacing size 8. */
  CSS.registerProperty({
    name: "--sds-g-spacing-8",
    syntax: "<length>",
    inherits: false,
    initialValue: "3rem",
  });
  /* Spacing size 9. */
  CSS.registerProperty({
    name: "--sds-g-spacing-9",
    syntax: "<length>",
    inherits: false,
    initialValue: "3.5rem",
  });
  /* System font stack for your application. */
  CSS.registerProperty({
    name: "--sds-g-font-family",
    syntax: "<length>",
    inherits: true,
    initialValue: "-apple-system, BlinkMacSystemFont, Segoe UI, Roboto, 'Helvetica Neue', Arial, sans-serif, 'Apple Color Emoji', 'Segoe UI Emoji', 'Segoe UI Symbol'",
  });
  /* Font stack for your heading elements. */
  CSS.registerProperty({
    name: "--sds-s-heading-font-family",
    syntax: "<length>",
    inherits: true,
    initialValue: "-apple-system, BlinkMacSystemFont, Segoe UI, Roboto, 'Helvetica Neue', Arial, sans-serif, 'Apple Color Emoji', 'Segoe UI Emoji', 'Segoe UI Symbol'",
  });
  /* Scaled font-size that is 10 stops bigger than the base. */
  CSS.registerProperty({
    name: "--sds-g-font-scale-10",
    syntax: "<length>",
    inherits: false,
    initialValue: "3.247rem",
  });
  /* Scaled font-size that is 1 stop bigger than the base. */
  CSS.registerProperty({
    name: "--sds-g-font-scale-1",
    syntax: "<length>",
    inherits: false,
    initialValue: "1.125rem",
  });
  /* Scaled font-size that is 2 stops bigger than the base. */
  CSS.registerProperty({
    name: "--sds-g-font-scale-2",
    syntax: "<length>",
    inherits: false,
    initialValue: "1.266rem",
  });
  /* Scaled font-size that is 3 stops bigger than the base. */
  CSS.registerProperty({
    name: "--sds-g-font-scale-3",
    syntax: "<length>",
    inherits: false,
    initialValue: "1.424rem",
  });
  /* Scaled font-size that is 1 stop smaller than the base. */
  CSS.registerProperty({
    name: "--sds-g-font-scale-neg-1",
    syntax: "<length>",
    inherits: false,
    initialValue: "0.875rem",
  });
  /* Scaled font-size that is 4 stops bigger than the base. */
  CSS.registerProperty({
    name: "--sds-g-font-scale-4",
    syntax: "<length>",
    inherits: false,
    initialValue: "1.602rem",
  });
  /* Scaled font-size that is 2 stops smaller than the base. */
  CSS.registerProperty({
    name: "--sds-g-font-scale-neg-2",
    syntax: "<length>",
    inherits: false,
    initialValue: "0.8125rem",
  });
  /* Scaled font-size that is 5 stops bigger than the base. */
  CSS.registerProperty({
    name: "--sds-g-font-scale-5",
    syntax: "<length>",
    inherits: false,
    initialValue: "1.802rem",
  });
  /* Scaled font-size that is 3 stops smaller than the base. */
  CSS.registerProperty({
    name: "--sds-g-font-scale-neg-3",
    syntax: "<length>",
    inherits: false,
    initialValue: "0.75rem",
  });
  /* Scaled font-size that is 6 stops bigger than the base. */
  CSS.registerProperty({
    name: "--sds-g-font-scale-6",
    syntax: "<length>",
    inherits: false,
    initialValue: "2.027rem",
  });
  /* Scaled font-size that is 4 stops smaller than the base. */
  CSS.registerProperty({
    name: "--sds-g-font-scale-neg-4",
    syntax: "<length>",
    inherits: false,
    initialValue: "0.625rem",
  });
  /* Scaled font-size that is 7 stops bigger than the base. */
  CSS.registerProperty({
    name: "--sds-g-font-scale-7",
    syntax: "<length>",
    inherits: false,
    initialValue: "2.281rem",
  });
  /* Scaled font-size that is 8 stops bigger than the base. */
  CSS.registerProperty({
    name: "--sds-g-font-scale-8",
    syntax: "<length>",
    inherits: false,
    initialValue: "2.566rem",
  });
  /* Scaled font-size that is 9 stops bigger than the base. */
  CSS.registerProperty({
    name: "--sds-g-font-scale-9",
    syntax: "<length>",
    inherits: false,
    initialValue: "2.887rem",
  });
  /* Default font-size for your application. */
  CSS.registerProperty({
    name: "--sds-g-font-size-base",
    syntax: "<length>",
    inherits: false,
    initialValue: "1rem",
  });
  /* Bold font-weight, use to increase emphasis. */
  CSS.registerProperty({
    name: "--sds-g-font-weight-bold",
    syntax: "<custom-ident>",
    inherits: false,
    initialValue: "bold",
  });
  /* Shared font-weight between heading elements, h1-h6 */
  CSS.registerProperty({
    name: "--sds-s-heading-font-weight",
    syntax: "<custom-ident>",
    inherits: false,
    initialValue: "bold",
  });
  /* Default line-height for your application. */
  CSS.registerProperty({
    name: "--sds-g-line-height",
    syntax: "<number>",
    inherits: true,
    initialValue: "1.5",
  });
  /* Small border radius for UI elements. */
  CSS.registerProperty({
    name: "--sds-g-radius-border-1",
    syntax: "<length>",
    inherits: false,
    initialValue: "0.125rem",
  });
  /* Medium border radius for UI elements. */
  CSS.registerProperty({
    name: "--sds-g-radius-border-2",
    syntax: "<length>",
    inherits: false,
    initialValue: "0.25rem",
  });
  /* Large border radius for UI elements. */
  CSS.registerProperty({
    name: "--sds-g-radius-border-3",
    syntax: "<length>",
    inherits: false,
    initialValue: "0.5rem",
  });
  /* Extra Large border radius for UI elements. */
  CSS.registerProperty({
    name: "--sds-g-radius-border-4",
    syntax: "<length>",
    inherits: false,
    initialValue: "1rem",
  });
  /* Circular border radius for UI elements. */
  CSS.registerProperty({
    name: "--sds-g-radius-border-circle",
    syntax: "<length>",
    inherits: false,
    initialValue: "100%",
  });
}
