if (CSS.registerProperty) {
  /* Neutral Inverse 1 - if used as a background, please use Neutral Inverse Contrast 1-4 to meet accessibility guidelines. */
  CSS.registerProperty({
    name: "--sds-g-color-neutral-inverse-1",
    syntax: "<color>",
    inherits: true,
    initialValue: "#181818",
  });
  /* Brand Inverse 1 - if used as a background, please use Brand Inverse Contrast 1-4 to meet accessibility guidelines. */
  CSS.registerProperty({
    name: "--sds-g-color-brand-inverse-1",
    syntax: "<color>",
    inherits: true,
    initialValue: "#001639",
  });
  /* Neutral Inverse 2 - if used as a background, please use Neutral Inverse Contrast 2-4 to meet accessibility guidelines. */
  CSS.registerProperty({
    name: "--sds-g-color-neutral-inverse-2",
    syntax: "<color>",
    inherits: true,
    initialValue: "#2e2e30",
  });
  /* Neutral Base 1 - if used as a background, please use Neutral Base Contrast 1-4 to meet accessibility guidelines. */
  CSS.registerProperty({
    name: "--sds-g-color-neutral-base-1",
    syntax: "<color>",
    inherits: true,
    initialValue: "#ffffff",
  });
  /* Brand Base 1 - if used as a background, please use Brand Base Contrast 1-4 to meet accessibility guidelines. */
  CSS.registerProperty({
    name: "--sds-g-color-brand-base-1",
    syntax: "<color>",
    inherits: true,
    initialValue: "#ffffff",
  });
  /* Brand Inverse 2 - if used as a background, please use Brand Inverse Contrast 2-4 to meet accessibility guidelines. */
  CSS.registerProperty({
    name: "--sds-g-color-brand-inverse-2",
    syntax: "<color>",
    inherits: true,
    initialValue: "#032d60",
  });
  /* Neutral Inverse 3 - if used as a background, please use Neutral Inverse Contrast 3-4 to meet accessibility guidelines. */
  CSS.registerProperty({
    name: "--sds-g-color-neutral-inverse-3",
    syntax: "<color>",
    inherits: true,
    initialValue: "#444447",
  });
  /* Neutral Base 2 - if used as a background, please use Neutral Base Contrast 2-4 to meet accessibility guidelines. */
  CSS.registerProperty({
    name: "--sds-g-color-neutral-base-2",
    syntax: "<color>",
    inherits: true,
    initialValue: "#f3f3f3",
  });
  /* Brand Base 2 - if used as a background, please use Brand Base Contrast 2-4 to meet accessibility guidelines. */
  CSS.registerProperty({
    name: "--sds-g-color-brand-base-2",
    syntax: "<color>",
    inherits: true,
    initialValue: "#eef4ff",
  });
  /* Brand Inverse 3 - if used as a background, please use Brand Inverse Contrast 3-4 to meet accessibility guidelines. */
  CSS.registerProperty({
    name: "--sds-g-color-brand-inverse-3",
    syntax: "<color>",
    inherits: true,
    initialValue: "#014486",
  });
  /* Neutral Inverse 4 - if used as a background, please use Neutral Inverse Contrast 4 to meet accessibility guidelines. */
  CSS.registerProperty({
    name: "--sds-g-color-neutral-inverse-4",
    syntax: "<color>",
    inherits: true,
    initialValue: "#5a5c61",
  });
  /* Neutral Base 3 - if used as a background, please use Neutral Base Contrast 3-4 to meet accessibility guidelines. */
  CSS.registerProperty({
    name: "--sds-g-color-neutral-base-3",
    syntax: "<color>",
    inherits: true,
    initialValue: "#e5e5e5",
  });
  /* Brand Base 3 - if used as a background, please use Brand Base Contrast 3-4 to meet accessibility guidelines. */
  CSS.registerProperty({
    name: "--sds-g-color-brand-base-3",
    syntax: "<color>",
    inherits: true,
    initialValue: "#d8e6fe",
  });
  /* Brand Inverse 4 - if used as a background, please use Brand Inverse Contrast 4 to meet accessibility guidelines. */
  CSS.registerProperty({
    name: "--sds-g-color-brand-inverse-4",
    syntax: "<color>",
    inherits: true,
    initialValue: "#0b5cab",
  });
  /* Neutral Base 4 - if used as a background, please use Neutral Base Contrast 4 to meet accessibility guidelines. */
  CSS.registerProperty({
    name: "--sds-g-color-neutral-base-4",
    syntax: "<color>",
    inherits: true,
    initialValue: "#c9c9cb",
  });
  /* Brand Base 4 - if used as a background, please use Brand Base Contrast 4 to meet accessibility guidelines. */
  CSS.registerProperty({
    name: "--sds-g-color-brand-base-4",
    syntax: "<color>",
    inherits: true,
    initialValue: "#aacbff",
  });
  /* Neutral Base Contrast 1 - if used as a background, please use Neutral Base 1-4 to meet accessibility guidelines. */
  CSS.registerProperty({
    name: "--sds-g-color-neutral-base-contrast-1",
    syntax: "<color>",
    inherits: true,
    initialValue: "#929398",
  });
  /* Brand Base Contrast 1 - if used as a background, please use Brand Base 1-4 to meet accessibility guidelines. */
  CSS.registerProperty({
    name: "--sds-g-color-brand-base-contrast-1",
    syntax: "<color>",
    inherits: true,
    initialValue: "#1b96ff",
  });
  /* Neutral Base Contrast 2 - if used as a background, please use Neutral Base 2-4 to meet accessibility guidelines. */
  CSS.registerProperty({
    name: "--sds-g-color-neutral-base-contrast-2",
    syntax: "<color>",
    inherits: true,
    initialValue: "#737479",
  });
  /* Neutral Inverse Contrast 1 - if used as a background, please use Neutral Inverse Base 1-4 to meet accessibility guidelines. */
  CSS.registerProperty({
    name: "--sds-g-color-neutral-inverse-contrast-1",
    syntax: "<color>",
    inherits: true,
    initialValue: "#737479",
  });
  /* Brand Inverse Contrast 1 - if used as a background, please use Brand Inverse Base 1-4 to meet accessibility guidelines. */
  CSS.registerProperty({
    name: "--sds-g-color-brand-inverse-contrast-1",
    syntax: "<color>",
    inherits: true,
    initialValue: "#0176d3",
  });
  /* Brand Base Contrast 2 - if used as a background, please use Brand Base 2-4 to meet accessibility guidelines. */
  CSS.registerProperty({
    name: "--sds-g-color-brand-base-contrast-2",
    syntax: "<color>",
    inherits: true,
    initialValue: "#0176d3",
  });
  /* Neutral Base Contrast 3 - if used as a background, please use Neutral Base 3-4 to meet accessibility guidelines. */
  CSS.registerProperty({
    name: "--sds-g-color-neutral-base-contrast-3",
    syntax: "<color>",
    inherits: true,
    initialValue: "#5a5c61",
  });
  /* Neutral Inverse Contrast 2 - if used as a background, please use Neutral Inverse Base 2-4 to meet accessibility guidelines. */
  CSS.registerProperty({
    name: "--sds-g-color-neutral-inverse-contrast-2",
    syntax: "<color>",
    inherits: true,
    initialValue: "#929398",
  });
  /* Brand Inverse Contrast 2 - if used as a background, please use Brand Inverse Base 2-4 to meet accessibility guidelines. */
  CSS.registerProperty({
    name: "--sds-g-color-brand-inverse-contrast-2",
    syntax: "<color>",
    inherits: true,
    initialValue: "#1b96ff",
  });
  /* Brand Base Contrast 3 - if used as a background, please use Brand Base 3-4 to meet accessibility guidelines. */
  CSS.registerProperty({
    name: "--sds-g-color-brand-base-contrast-3",
    syntax: "<color>",
    inherits: true,
    initialValue: "#0b5cab",
  });
  /* Neutral Base Contrast 4 - if used as a background, please use Neutral Base 4 to meet accessibility guidelines. */
  CSS.registerProperty({
    name: "--sds-g-color-neutral-base-contrast-4",
    syntax: "<color>",
    inherits: true,
    initialValue: "#181818",
  });
  /* Neutral Inverse Contrast 3 - if used as a background, please use Neutral Inverse Base 3-4 to meet accessibility guidelines. */
  CSS.registerProperty({
    name: "--sds-g-color-neutral-inverse-contrast-3",
    syntax: "<color>",
    inherits: true,
    initialValue: "#adaeb1",
  });
  /* Brand Inverse Contrast 3 - if used as a background, please use Brand Inverse Base 3-4 to meet accessibility guidelines. */
  CSS.registerProperty({
    name: "--sds-g-color-brand-inverse-contrast-3",
    syntax: "<color>",
    inherits: true,
    initialValue: "#78b0fd",
  });
  /* Brand Base Contrast 4 - if used as a background, please use Brand Base 4 to meet accessibility guidelines. */
  CSS.registerProperty({
    name: "--sds-g-color-brand-base-contrast-4",
    syntax: "<color>",
    inherits: true,
    initialValue: "#001639",
  });
  /* Neutral Inverse Contrast 4 - if used as a background, please use Neutral Inverse Base 4 to meet accessibility guidelines. */
  CSS.registerProperty({
    name: "--sds-g-color-neutral-inverse-contrast-4",
    syntax: "<color>",
    inherits: true,
    initialValue: "#ffffff",
  });
  /* Brand Inverse Contrast 4 - if used as a background, please use Brand Inverse Base 4 to meet accessibility guidelines. */
  CSS.registerProperty({
    name: "--sds-g-color-brand-inverse-contrast-4",
    syntax: "<color>",
    inherits: true,
    initialValue: "#ffffff",
  });
}
