export const colorExample = (colors, modulo) => {
  const props = colors.props;
  const sortedProps = Object.keys(props).sort();
  const list = document.createElement('div');
  sortedProps.map((prop, index) => {
    if (modulo) {
      if (index % modulo === 0) {
        const regex = /(?<=color-).+?(?=-\d)/g;
        const title = props[prop].name.match(regex);
        list.insertAdjacentHTML('beforeend', `<p>${capitalize(title[0].replaceAll('-', ' '))}</p>`);
      }
    }
    const scope = props[prop].scope === 'global' ? 'g' : 's';
    list.insertAdjacentHTML(
      'beforeend',
      `
      <color-example value=${props[prop].value} prop="--sds-${scope}-${props[prop].name}" category=${props[prop].category} title=${props[prop].comment}></color-example>
      `,
    );
  });
  return list;
};

const capitalize = (str) => {
  if (typeof str === 'string') {
    return str.replace(/\b\w/g, (c) => c.toUpperCase());
  } else {
    return '';
  }
};
